=== debian/changelog ===
ros-kinetic-rc-cloud-accumulator (1.0.4-0xenial) xenial; urgency=high

  * Merged pull request by Mikael Arguedas to fix debian stretch builds

 -- Felix Endres <felix.endres@roboception.de>  Tue, 03 Jul 2018 22:00:00 -0000

ros-kinetic-rc-cloud-accumulator (1.0.3-0xenial) xenial; urgency=high

  * Properly shutdown visualization thread on exit
  * Wait 0.25s for the transformations of clouds
  * Remove -mfpu=neon on arm64 to fix ROS build

 -- Felix Endres <felix.endres@roboception.de>  Mon, 02 Jul 2018 22:00:00 -0000

ros-kinetic-rc-cloud-accumulator (1.0.2-0xenial) xenial; urgency=high

  * Fixup version numbers in package.xml and CHANGELOG.rst
  * Update cmake files from project template

 -- Felix Endres <felix.endres@roboception.de>  Sun, 24 Jun 2018 22:00:00 -0000

ros-kinetic-rc-cloud-accumulator (1.0.1-0xenial) xenial; urgency=high

  * Fixup compile flags for aarch64

 -- Felix Endres <felix.endres@roboception.de>  Tue, 19 Jun 2018 22:00:00 -0000

ros-kinetic-rc-cloud-accumulator (1.0.0-0xenial) xenial; urgency=high

  * Initial release

 -- Felix Endres <felix.endres@roboception.de>  Thu, 14 Jun 2018 22:00:00 -0000
