=== debian/control ===
Source: ros-kinetic-rc-cloud-accumulator
Section: misc
Priority: extra
Maintainer: Felix Endres <felix.endres@roboception.de>
Build-Depends: debhelper (>= 9.0.0), libpcl-dev, libvtk6-qt-dev, ros-kinetic-catkin, ros-kinetic-geometry-msgs, ros-kinetic-nav-msgs, ros-kinetic-pcl-ros, ros-kinetic-roscpp, ros-kinetic-std-srvs, ros-kinetic-tf2, ros-kinetic-tf2-msgs, ros-kinetic-tf2-ros
Homepage: https://wiki.ros.org/rc_cloud_accumulator
Standards-Version: 3.9.2

Package: ros-kinetic-rc-cloud-accumulator
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libpcl-dev, libvtk6-qt-dev, ros-kinetic-geometry-msgs, ros-kinetic-nav-msgs, ros-kinetic-pcl-ros, ros-kinetic-roscpp, ros-kinetic-std-srvs, ros-kinetic-tf2, ros-kinetic-tf2-msgs, ros-kinetic-tf2-ros
Description: A viewer for the SLAM component of roboception based on ROS and PCL
